{% extends "world_of_islam/layouts/page.html" %}{% load static humanize custom_tags %}
<i></i>
{% block world_of_islam %}

{% comment %} TITLE {% endcomment %}
<div
  class="flex flex-col sm:flex-row flex-wrap gap-y-3 justify-between items-center my-5 font-medium"
>
  <h3 data-aos="fade-up-left" data-aos-duration="1000" class="text-2xl px-5">
    {{_("Images")}}
  </h3>
</div>

{% comment %} BOOKS {% endcomment %}
<ul id="gallery" class="pswp-gallery xs:columns-2 sm:columns-3 md:columns-4 lg:columns-5 gap-7">
  {% for obj in objects %}
  {% rand 10 20 as num %}
  <li
    data-aos="zoom-in"
    data-aos-duration="1000"
    data-aos-anchor-placement="top-bottom"
    data-aos-delay="{{forloop.counter0|mul:"50"}}"
    class="mb-7 break-inside-avoid"
  >
    <div
      class="group bg-gradient-to-br from-white to-main-white rounded-md shadow-lg overflow-hidden cursor-pointer transition duration-500 hover:shadow-card hover:-translate-y-0.5"
    >
      <div class="relative group-hover:contrast-125 transition duration-500">
        <a
          href="{% get_media_prefix %}{{obj.image}}"
          title="{{obj.title}}"
          target="_blank"
        >
          <img
            alt="{{obj.title}}"
            src="{% get_media_prefix %}{{obj.image}}"
            class="w-full h-[{{num}}rem] object-cover object-center bg-accent bg-[url({% static "media/images/islamic_pattern_black_6.png" %})] bg-[length:10rem_auto]"
          />
        </a>
        <div class="absolute pointer-events-none bottom-1/2 right-1/2 translate-x-1/2 translate-y-1/2">
          <i
            data-aos="zoom-in"
            data-aos-delay="400"
            data-aos-duration="1000"
            class="fa-solid fa-image h-14 w-14 grid place-items-center text-2xl bg-gradient-to-br from-main/95 to-main-darken text-accent rounded-full shadow-lg"
          ></i>
        </div>
      <div>
      <div
        data-aos="zoom-in"
        data-aos-delay="100"
        data-aos-duration="1000"
        data-aos-anchor-placement="top-bottom"
        title="{{obj.created_date}}"
        class="flex gap-2 items-center h-8 font-medium px-3 text-xs italic"
      >
        <i class="fa-solid fa-image"></i>
        <div class="line-clamp-1">{{obj.title}}</div>
      </div>
    </div>
  </li>
  {% endfor %}
</ul>

{% comment %} PHOTOSWIPE SCRIPT {% endcomment %}
<script
  src="https://cdnjs.cloudflare.com/ajax/libs/photoswipe/5.4.2/umd/photoswipe-lightbox.umd.min.js"
  integrity="sha512-OB04yghyy2BT/S1t5HihjY4Jw9Us/5Fw1p5Jw41DIx71Kx+G4SjiPpd3n2ecsYAp7gJL0saH0J6k5elzVHp2+Q=="
  crossorigin="anonymous"
  referrerpolicy="no-referrer"
></script>
<script
  src="https://cdnjs.cloudflare.com/ajax/libs/photoswipe/5.4.2/umd/photoswipe.umd.min.js"
  integrity="sha512-xH3c1Jh7FbAehFlrbmiFLL7fm2YxZRXtRJ0O9Kc+RkCW5VLkLeARPe8RwgCfzYt4N1JRqzxZtBMgsJzLehA4Tw=="
  crossorigin="anonymous"
  referrerpolicy="no-referrer"
></script>
<script>
  document.addEventListener("DOMContentLoaded", () => {
    const gallery = document.getElementById("gallery")
    const aTags = gallery.getElementsByTagName("a")
    const imgTags = gallery.getElementsByTagName("img")

    for (let i = 0; i < aTags.length; i++) {
      aTags[i].setAttribute("data-pswp-width", imgTags[i].naturalWidth)
      aTags[i].setAttribute("data-pswp-height", imgTags[i].naturalHeight)
    }

    const lightbox = new PhotoSwipeLightbox({
      gallery: "#gallery",
      children: "a",
      pswpModule: PhotoSwipe,
      wheelToZoom: true,
      initialZoomLevel: 'fit',
      secondaryZoomLevel: 3,
    });

    lightbox.init();
  });
</script>

{% endblock world_of_islam %}
